Bug 337759 - Support vcard 4 - RFC 6350
Summary: Support vcard 4 - RFC 6350
Status: CONFIRMED
Alias: None
Product: kaddressbook
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal with 120 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-24 07:47 UTC by Samir Nassar
Modified: 2019-05-13 10:39 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
vCard 4.0 conformant VCF file (1.18 KB, text/plain)
2014-07-24 14:10 UTC, Samir Nassar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samir Nassar 2014-07-24 07:47:35 UTC
There are incompatibilities between kaddressbook and ownCloud 7's vcard. ownCloud 7 exports vcard 3 with support for the IMPP field, kaddressbook doesn't.

Consistency would be achieved if kaddressbook would support import and export of vcard 4 RFC 6350: http://tools.ietf.org/html/rfc6350

I posted a bug with ownCloud at: https://github.com/owncloud/contacts/issues/553
Comment 1 Laurent Montel 2014-07-24 11:58:55 UTC
In 4.14 we have vcard4.0 support.
Not sure that it support IMPP
I need to look at.
Comment 2 Laurent Montel 2014-07-24 12:00:05 UTC
I already need a program which generate vcard4.0 to compare it.
Do you know a program which does it ?
Comment 3 Samir Nassar 2014-07-24 12:07:34 UTC
I don't know of a program myself, but I'm happy to create a vcard file that has all the items of RFC 6350 if that helps.
Comment 4 Laurent Montel 2014-07-24 12:30:37 UTC
We need to have a program which create a vcard.
By hand we can create error etc.
Comment 5 Samir Nassar 2014-07-24 12:52:49 UTC
There is this PHP library: http://sabre.io/vobject/ which has RFC 6350 conformance.
Comment 6 Samir Nassar 2014-07-24 14:10:05 UTC
Created attachment 87933 [details]
vCard 4.0 conformant VCF file

This VCF file is RFC 6350 conformant according to vobject. http://sabre.io/vobject
Comment 7 Laurent Montel 2014-07-24 16:15:51 UTC
Thanks.
I will improve it and test vcard4 support in kaddressbook.
Comment 8 Laurent Montel 2015-01-30 07:29:32 UTC
Just to add info about progress:
I added :
- KIND
- GENDER
- GEO (vcard4.0 format)
- LANG
- ANNIVERSARY
- IMPP (in progress)

I continue my vcard4.0 improvment.
Comment 9 Laurent Montel 2015-02-06 07:40:58 UTC
I added Member too.
Comment 10 Laurent Montel 2015-07-06 19:36:16 UTC
Just for info:
Impp support works now.
I fixed CalendarUrl too
Comment 11 Laurent Montel 2016-05-12 05:52:38 UTC
just for info
Impp is supporting but not used by default for the moment.
Comment 12 Laurent Montel 2016-07-11 06:09:49 UTC
For info I fixed support for "LABEL" in address in vcard4

I continue. I hope a days that it will free bugs :)
Comment 13 Tristan Miller 2017-02-05 15:01:52 UTC
Is this a tracking bug for all vCard 4.0 incompatibilities?  That is, should I report further incompatibilities as comments to this issue, or should I file them as separate bugs and ask that they be linked to this one?  (My account here doesn't seem to allow me to set the Depends on/Blocks fields.)
Comment 14 Boian Berberov 2017-07-19 09:25:10 UTC
When exporting vCards in the 4.0 format, images are exported in the 3.0 format.

Actual results:
PHOTO;ENCODING=b;TYPE=JPEG:[base64-data]
  or
LOGO;ENCODING=b;TYPE=jpeg:[base64-data]

Expected results:
PHOTO:data:image/jpeg;base64,[base64-data]
  or
LOGO:data:image/jpeg;base64,[base64-data]

This could be affecting "KEY" as well, but I don't have it set up.

OS: OpenSUSE Tumbleweed
Version: KAddressBook 5.5.2

Do you want a separate bug for this?

If you would point me to where in the code this could be, I can try to figure out how to fix this.  Thanks.
Comment 15 Boian Berberov 2017-07-19 09:27:04 UTC
*** This bug has been confirmed by popular vote. ***
Comment 16 Störm Poorun 2019-05-13 10:39:26 UTC
(In reply to Boian Berberov from comment #14)
> When exporting vCards in the 4.0 format, images are exported in the 3.0
> format.
> 
> Actual results:
> PHOTO;ENCODING=b;TYPE=JPEG:[base64-data]
>   or
> LOGO;ENCODING=b;TYPE=jpeg:[base64-data]
> 
> Expected results:
> PHOTO:data:image/jpeg;base64,[base64-data]
>   or
> LOGO:data:image/jpeg;base64,[base64-data]
> 
> This could be affecting "KEY" as well, but I don't have it set up.
> 
> OS: OpenSUSE Tumbleweed
> Version: KAddressBook 5.5.2
> 
> Do you want a separate bug for this?
> 
> If you would point me to where in the code this could be, I can try to
> figure out how to fix this.  Thanks.

Did anything further happen on that?